darcs

Issue 1987 darcs optimize should clean the _darcs/inventories/ subdir just as it cleans _darcs/pristine.hashed/

Title darcs optimize should clean the _darcs/inventories/ subdir just as it cleans _darcs/pristine.hashed/
Priority Status resolved
Milestone Resolved in 2.10.0 HEAD
Superseder Nosy List alex.aegf, dmitry.kurochkin, mdiaz, mndrix
Assigned To mdiaz
Topics

Created on 2010-11-02.20:49:10 by gh, last changed 2014-04-10.14:03:18 by noreply.

Messages
msg17211 (view) Author: gh Date: 2014-03-16.23:47:26
See http://darcs.net/Using/GrowingInventoriesProblem .
msg17287 (view) Author: simon Date: 2014-04-07.22:44:56
This is causing problems for darcs hub, where eg a 2k-patch-file repo
can accumulate 34k additional patch files in two months. It would be
helpful to know more what user operations or code paths cause the extra
files (duplicate patch files ?) to be written.
msg17310 (view) Author: simon Date: 2014-04-09.15:11:16
Linking patch1134 here. This seems to be helping.

Incidentally, is there a similar issue with files accumulating in the
darcs cache (eg in ~/.cache/darcs/*/) ? darcs hub currently has 100k
files there.
msg17312 (view) Author: gh Date: 2014-04-09.15:58:40
There is a summer of code project proposed by Marcio Díaz that aims at
addressing this issue:
http://darcs.net/GSoC/2014-Hashed-Files-And-Cache
msg17324 (view) Author: noreply Date: 2014-04-10.14:03:17
The following patch sent by Marcio Diaz <marcio.diaz@gmail.com> updated issue issue1987 with
status=resolved;resolvedin=2.10.0 HEAD

* resolve issue1987: Garbage collection for inventories and patches. 
Ignore-this: f783e079707f0ae0cb5edf4a023347a3
History
Date User Action Args
2010-11-02 20:49:10ghcreate
2012-02-18 19:04:46mndrixsetnosy: + mndrix
2014-03-16 23:47:28ghsetassignedto: alex.aegf
messages: + msg17211
nosy: + alex.aegf
2014-03-22 23:08:26ghsetassignedto: alex.aegf -> mdiaz
nosy: + mdiaz
2014-04-07 22:44:57simonsetmessages: + msg17287
2014-04-09 15:11:17simonsetmessages: + msg17310
2014-04-09 15:58:40ghsetmessages: + msg17312
2014-04-10 14:03:18noreplysetstatus: unknown -> resolved
messages: + msg17324
resolvedin: 2.10.0 HEAD
2014-04-10 14:30:06ghlinkissue305 superseder